#include <iostream>
using namespace std;

int n,k;
char Names[1001][81];

void Sort(int n){
  int best;
  char temp[81];

  for(int i=0;i<n-1;i++){
   best=i;
   for(int j=i+1;j<n;j++)
    if(strlen(Names[j])<strlen(Names[best]))
     best=j;
   strcpy(temp,Names[i]);
   strcpy(Names[i],Names[best]);
   strcpy(Names[best],temp);
  }
}

bool checkGroup(int start){
  int sum=0;

  for(int i=0;i<k;i++)
   sum+= strlen(Names[start+i]);
int L = strlen(Names[start]);
if (L*k < sum - 2*k || L*k > sum + 2*k) {
   return(false);
  }
  else
   return(true);
}

int main(){
  int Case=1;
  bool OK;

  cin>>n>>k;
  while(n>0){
   for(int i=0;i<n;i++) cin>>Names[i];

   Sort(n);

   if(Case>1) cout<<endl;
   OK=true;
   for(int i=0;i<n;i+=k)
    if(!checkGroup(i)) OK=false;

   cout<<"Case "<<Case++<<": ";
   if(OK)
    cout<<"yes"<<endl;
   else
    cout<<"no"<<endl;

    cin>>n>>k;
  }


return 0;
}


